%define upstream_name    Template-Plugin-Number-Format
%define upstream_version 1.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Plugin/filter interface to Number::Format
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz


Buildrequires:  perl(Number::Format)
Buildrequires:  perl(Template)
BuildArch:      noarch


%description
Template::Plugin::Number::Format makes the number-munging grooviness of
Number::Format available to your templates. It is used like a plugin, but
installs filters into the current context.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc META.yml
%{perl_vendorlib}/Template
%{_mandir}/*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.60.0-7.mga10
+ Revision: 2200762
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.60.0-6.mga9
+ Revision: 1805977
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.60.0-5.mga8
+ Revision: 1497279
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.60.0-4.mga7
+ Revision: 1271613
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-3.mga6
+ Revision: 1033903
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.60.0-2.mga6
+ Revision: 967495
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 1.60.0-1.mga6
+ Revision: 849074
- update to 1.06

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-5.mga5
+ Revision: 749637
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-4.mga5
+ Revision: 686348
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.20.0-3.mga4
+ Revision: 514875
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 373175
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 37331
- mageia rebuild
- imported package perl-Template-Plugin-Number-Format


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.20.0-1mdv2010.0
+ Revision: 405534
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.02-3mdv2009.0
+ Revision: 241951
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2008.0
+ Revision: 63963
- update to new version 1.02


* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2007.1
+ Revision: 138861
- Imported perl-Template-Plugin-Number-Format-1.01-1mdv2007.1 into SVN repository.

* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2007.1
- first mdv release

